
maf_columns = [
    "Hugo_Symbol", "Entrez_Gene_Id", "Center", "NCBI_Build", "Chromosome", "Start_Position", "End_Position",
    "Strand", "Variant_Classification", "Variant_Type", "Reference_Allele", "Tumor_Seq_Allele1",
    "Tumor_Seq_Allele2", "dbSNP_RS", "dbSNP_Val_Status", "Tumor_Sample_Barcode", "Matched_Norm_Sample_Barcode",
    "Match_Norm_Seq_Allele1", "Match_Norm_Seq_Allele2", "Tumor_Validation_Allele1", "Tumor_Validation_Allele2",
    "Match_Norm_Validation_Allele1", "Match_Norm_Validation_Allele2", "Verification_Status", "Validation_Status",
    "Mutation_Status", "Sequencing_Phase", "Sequence_Source", "Validation_Method", "Score", "BAM_File",
    "Sequencer", "Tumor_Sample_UUID", "Matched_Norm_Sample_UUID", "HGVSc", "HGVSp", "HGVSp_Short",
    "Transcript_ID", "Exon_Number", "t_depth", "t_ref_count", "t_alt_count", "n_depth", "n_ref_count",
    "n_alt_count", "all_effects", "Allele", "Gene", "Feature", "Feature_type", "One_Consequence", "Consequence",
    "cDNA_position", "CDS_position", "Protein_position", "Amino_acids", "Codons", "Existing_variation"
]

optional_maf_columns = [
    "ALLELE_NUM", "DISTANCE", "TRANSCRIPT_STRAND", "SYMBOL", "SYMBOL_SOURCE", "HGNC_ID", "BIOTYPE",
    "CANONICAL", "CCDS", "ENSP", "SWISSPROT", "TREMBL", "UNIPARC", "RefSeq", "SIFT", "PolyPhen",
    "EXON", "INTRON", "DOMAINS", "GMAF", "AFR_MAF", "AMR_MAF", "ASN_MAF", "EAS_MAF", "EUR_MAF", "SAS_MAF",
    "AA_MAF", "EA_MAF", "CLIN_SIG", "SOMATIC", "PUBMED", "MOTIF_NAME", "MOTIF_POS", "HIGH_INF_POS",
    "MOTIF_SCORE_CHANGE", "IMPACT", "PICK", "VARIANT_CLASS", "TSL", "HGVS_OFFSET", "PHENO",
    "MINIMISED", "ExAC_AF", "ExAC_AF_Adj", "ExAC_AF_AFR", "ExAC_AF_AMR", "ExAC_AF_EAS", "ExAC_AF_FIN",
    "ExAC_AF_NFE", "ExAC_AF_OTH", "ExAC_AF_SAS", "GENE_PHENO", "FILTER", "CONTEXT", "src_vcf_id",
    "normal_bam_uuid", "case_id", "GDC_FILTER", "COSMIC", "MC3_Overlap", "GDC_Validation_Status",
    "GDC_Valid_Somatic", "vcf_region", "vcf_info", "vcf_format", "vcf_tumor_gt", "vcf_normal_gt"
]

maf_column_indices = {
    "Hugo_Symbol": 0,
    "Entrez_Gene_Id": 1,
    "Center": 2,
    "NCBI_Build": 3,
    "Chromosome": 4,
    "Start_Position": 5,
    "End_Position": 6,
    "Strand": 7,
    "Variant_Classification": 8,
    "Variant_Type": 9,
    "Reference_Allele": 10,
    "Tumor_Seq_Allele1": 11,
    "Tumor_Seq_Allele2": 12,
    "dbSNP_RS": 13,
    "dbSNP_Val_Status": 14,
    "Tumor_Sample_Barcode": 15,
    "Matched_Norm_Sample_Barcode": 16,
    "Match_Norm_Seq_Allele1": 17,
    "Match_Norm_Seq_Allele2": 18,
    "Tumor_Validation_Allele1": 19,
    "Tumor_Validation_Allele2": 20,
    "Match_Norm_Validation_Allele1": 21,
    "Match_Norm_Validation_Allele2": 22,
    "Verification_Status": 23,
    "Validation_Status": 24,
    "Mutation_Status": 25,
    "Sequencing_Phase": 26,
    "Sequence_Source": 27,
    "Validation_Method": 28,
    "Score": 29,
    "BAM_File": 30,
    "Sequencer": 31,
    "Tumor_Sample_UUID": 32,
    "Matched_Norm_Sample_UUID": 33,
    "HGVSc": 34,
    "HGVSp": 35,
    "HGVSp_Short": 36,
    "Transcript_ID": 37,
    "Exon_Number": 38,
    "t_depth": 39,
    "t_ref_count": 40,
    "t_alt_count": 41,
    "n_depth": 42,
    "n_ref_count": 43,
    "n_alt_count": 44,
    "all_effects": 45,
    "Allele": 46,
    "Gene": 47,
    "Feature": 48,
    "Feature_type": 49,
    "One_Consequence": 50,
    "Consequence": 51,
    "cDNA_position": 52,
    "CDS_position": 53,
    "Protein_position": 54,
    "Amino_acids": 55,
    "Codons": 56,
    "Existing_variation": 57
}
optional_maf_column_indices = {
    "ALLELE_NUM": 58,
    "DISTANCE": 59,
    "TRANSCRIPT_STRAND": 60,
    "SYMBOL": 61,
    "SYMBOL_SOURCE": 62,
    "HGNC_ID": 63,
    "BIOTYPE": 64,
    "CANONICAL": 65,
    "CCDS": 66,
    "ENSP": 67,
    "SWISSPROT": 68,
    "TREMBL": 69,
    "UNIPARC": 70,
    "RefSeq": 71,
    "SIFT": 72,
    "PolyPhen": 73,
    "EXON": 74,
    "INTRON": 75,
    "DOMAINS": 76,
    "GMAF": 77,
    "AFR_MAF": 78,
    "AMR_MAF": 79,
    "ASN_MAF": 80,
    "EAS_MAF": 81,
    "EUR_MAF": 82,
    "SAS_MAF": 83,
    "AA_MAF": 84,
    "EA_MAF": 85,
    "CLIN_SIG": 86,
    "SOMATIC": 87,
    "PUBMED": 88,
    "MOTIF_NAME": 89,
    "MOTIF_POS": 90,
    "HIGH_INF_POS": 91,
    "MOTIF_SCORE_CHANGE": 92,
    "IMPACT": 93,
    "PICK": 94,
    "VARIANT_CLASS": 95,
    "TSL": 96,
    "HGVS_OFFSET": 97,
    "PHENO": 98,
    "MINIMISED": 99,
    "ExAC_AF": 100,
    "ExAC_AF_Adj": 101,
    "ExAC_AF_AFR": 102,
    "ExAC_AF_AMR": 103,
    "ExAC_AF_EAS": 104,
    "ExAC_AF_FIN": 105,
    "ExAC_AF_NFE": 106,
    "ExAC_AF_OTH": 107,
    "ExAC_AF_SAS": 108,
    "GENE_PHENO": 109,
    "FILTER": 110,
    "CONTEXT": 111,
    "src_vcf_id": 112,
    "normal_bam_uuid": 113,
    "case_id": 114,
    "GDC_FILTER": 115,
    "COSMIC": 116,
    "MC3_Overlap": 117,
    "GDC_Validation_Status": 118,
    "GDC_Valid_Somatic": 119,
    "vcf_region": 120,
    "vcf_info": 121,
    "vcf_format": 122,
    "vcf_tumor_gt": 123,
    "vcf_normal_gt": 124
}
